#include <avr/pgmspace.h>
#include <avr/interrupt.h>
#include <avr/io.h>
#include <util/delay.h>

#include "mpu6050/mpu6050.h"
#include "colors.h"
#include "utils.h"


bool btn_pressed = false;

ISR(TIMER0_COMPA_vect)
{
	get_acc_direction();
}

ISR(PCINT3_vect)
{
	// when BTN (PD6) is pressed
		srand(TCNT0);
		btn_pressed = true;
}

void reg_init()
{
	// TIMER0
    OCR0A = 32;
    TIMSK0 = (1 << OCIE0A);
	TCCR0A |= (1 << WGM01) | (0 << WGM00);
	TCCR0B |= (0 << WGM02) | (5 << CS00);
	
	// BTN (PD6) init
	DDRD &= ~(1 << PD6);
	PORTD |= (1 << PD6);
	
	// BTN (PD6) interrupt
    PCICR  = (1 << PCIE3);
    PCMSK3 = (1 << PCINT30);
}

int main (void)
{
    sei();
	mpu6050_init();
	lcd_init();
	reg_init();
    fillScreen(Color565(255,255,255));
	
	while (1) {
		while (!btn_pressed) {
			init_draw();
		}
		
		//start the game
		play();
		
		//game over
		fillScreen(Color565(255,255,255));
		btn_pressed = false;
	}

	return 0;
}