#include "utils.h"

int get_color_index(int value) {
	if (value == 0) return 10; //color of 2048 for 0
	int exp = 0;
	while (value > 1) {
		exp++;
		value /= 2;
	}
	return exp - 1;
}

int get_cipher_count(int number) {
	int count = 0;
	
	if (number == 0) return 1;
	
	while (number) {
			count++;
			number /= 10;
	}
	
	return count;
}

int power(int number, int exp) {
	int value = 1;
	
	while (exp) {
		exp--;
		value *= number;
	}
	
	return value;
}

void draw_number (int number, int tile_x, int tile_y, int tile_width, int tile_height) {
	int cipher_count = get_cipher_count(number);
	int number_side = CIPHER_SIDE * cipher_count;
	int start_x = tile_x + (tile_width - number_side) / 2;
	int start_y = tile_y + (tile_height - CIPHER_SIDE) / 2;
	int x, y;
	
	
	for (y = start_y; y < start_y + CIPHER_SIDE; y++) {
			for (x = start_x; x < start_x + number_side; x++) {
				int cipher = number / power(10, cipher_count - ((x - start_x) / CIPHER_SIDE) -1) % 10;;
				if (numbers[cipher][y - start_y][(x - start_x) % CIPHER_SIDE]) {
					drawPixel (x, y, Color565(255, 255, 255));
				}
			}
	}
	
}
