#ifndef _UTILS_H
#define _UTILS_H

#define N 4
#define CIPHER_SIDE 7
#define LIMIT 0.35

typedef enum { false, true } bool;

static int margins[N + 1] = {1, 33, 64, 95, 126};

void draw_number(int number, int tile_x, int tile_y, int tile_width, int tile_height);

typedef struct tile {
	int x;
	int y;
} tile;

static int numbers[10][7][7] = {
	  { 
	    { 0, 0, 1, 1, 1, 0, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 0, 1, 1, 1, 0, 0} 
	},{  
		{ 0, 0, 0, 0, 1, 0, 0},
		{ 0, 0, 0, 1, 1, 0, 0},
		{ 0, 0, 1, 0, 1, 0, 0},
		{ 0, 0, 0, 0, 1, 0, 0},
		{ 0, 0, 0, 0, 1, 0, 0},
		{ 0, 0, 0, 0, 1, 0, 0},
		{ 0, 0, 0, 0, 1, 0, 0}
	},{
	    { 0, 1, 1, 1, 1, 1, 0},
		{ 0, 0, 0, 0, 0, 1, 0},
		{ 0, 0, 0, 0, 0, 1, 0},
		{ 0, 1, 1, 1, 1, 1, 0},
		{ 0, 1, 0, 0, 0, 0, 0},
		{ 0, 1, 0, 0, 0, 0, 0},
		{ 0, 1, 1, 1, 1, 1, 0} 
	},{
		{ 0, 1, 1, 1, 1, 1, 0},
		{ 0, 0, 0, 0, 0, 1, 0},
		{ 0, 0, 0, 0, 0, 1, 0},
		{ 0, 1, 1, 1, 1, 1, 0},
		{ 0, 0, 0, 0, 0, 1, 0},
		{ 0, 0, 0, 0, 0, 1, 0},
		{ 0, 1, 1, 1, 1, 1, 0} 
	},{
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 1, 1, 1, 1, 1, 0},
		{ 0, 0, 0, 0, 0, 1, 0},
		{ 0, 0, 0, 0, 0, 1, 0},
		{ 0, 0, 0, 0, 0, 1, 0} 
	},{
		{ 0, 1, 1, 1, 1, 1, 0},
		{ 0, 1, 0, 0, 0, 0, 0},
		{ 0, 1, 0, 0, 0, 0, 0},
		{ 0, 1, 1, 1, 1, 1, 0},
		{ 0, 0, 0, 0, 0, 1, 0},
		{ 0, 0, 0, 0, 0, 1, 0},
		{ 0, 1, 1, 1, 1, 1, 0}
	},{
		{ 0, 1, 1, 1, 1, 1, 0},
		{ 0, 1, 0, 0, 0, 0, 0},
		{ 0, 1, 0, 0, 0, 0, 0},
		{ 0, 1, 1, 1, 1, 1, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 1, 1, 1, 1, 1, 0} 
	},{
		{ 0, 1, 1, 1, 1, 0, 0},
		{ 0, 0, 0, 0, 1, 0, 0},
		{ 0, 0, 0, 0, 1, 0, 0},
		{ 0, 0, 1, 1, 1, 1, 0},
		{ 0, 0, 0, 0, 1, 0, 0},
		{ 0, 0, 0, 0, 1, 0, 0},
		{ 0, 0, 0, 0, 1, 0, 0} 
	},{ 
		{ 0, 0, 1, 1, 1, 0, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 0, 1, 1, 1, 0, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 0, 1, 1, 1, 0, 0} 
	},{
		{ 0, 1, 1, 1, 1, 1, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 1, 0, 0, 0, 1, 0},
		{ 0, 1, 1, 1, 1, 1, 0},
		{ 0, 0, 0, 0, 0, 1, 0},
		{ 0, 0, 0, 0, 0, 1, 0},
		{ 0, 1, 1, 1, 1, 1, 0} 
	}
};

#endif